'use strict';

// Load modules

// Declare internals

var internals = {};

module.exports.noop = function noop() {};

module.exports.onlyOnce = function (fn) {

    var called = false;

    return function () {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        if (called) {
            throw new Error('Callback was already called.');
        }

        called = true;
        fn.apply(global, args);
    };
};